﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace NMigrate
{
	public static class HasOutput
	{
		public static void ConfigDefault(IHasOutput hasOutput)
		{
			hasOutput.Out = Console.Out;
			hasOutput.Error = new ConsoleWriter(ConsoleColor.Red);
		}
	}
	public interface IHasOutput
	{
		TextWriter Out
		{
			get;
			set;
		}
		TextWriter Error
		{
			get;
			set;
		}
	}
}
